Bug 79461 - FILESAVE: Saving files is dog ass slow
Summary: FILESAVE: Saving files is dog ass slow
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-30 17:48 UTC by Michael Mellinger
Modified: 2015-02-11 19:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Stare at the "Save Document" progress bar for a minute and you'll understand what I'm going through after every save. (1.16 MB, image/png)
2014-05-30 17:48 UTC, Michael Mellinger
Details
attachment-25323-0.html (2.67 KB, text/html)
2014-05-31 21:42 UTC, Michael Mellinger
Details
attachment-25323-1.dat (1 bytes, multipart/alternative)
2014-05-31 21:42 UTC, Michael Mellinger
Details
ja.ods (82.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-31 21:42 UTC, Michael Mellinger
Details
Screenshot 2014-05-31 17.41.12.png (125.44 KB, image/png)
2014-05-31 21:42 UTC, Michael Mellinger
Details
attachment-22440-0.html (2.63 KB, text/html)
2014-06-02 16:29 UTC, Michael Mellinger
Details
attachment-22440-1.dat (1 bytes, multipart/alternative)
2014-06-02 16:29 UTC, Michael Mellinger
Details
Screenshot 2014-06-02 12.22.12.png (141.02 KB, image/png)
2014-06-02 16:29 UTC, Michael Mellinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mellinger 2014-05-30 17:48:56 UTC
Created attachment 100178 [details]
Stare at the "Save Document" progress bar for a minute and you'll understand what I'm going through after every save.

Problem description: 

File->Save

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Can take a minute to save a file on my current MacBook Pro with 16GB of RAM and an SSD.

Expected behavior:

Save file almost immediately.
              
Operating System: Mac OS X
Version: 4.1.4.2 release
Comment 1 m.a.riosv 2014-05-30 22:23:03 UTC
Hi namesake, thanks for reporting.

Sorry but unfortunately the image doesn't help to verify the issue, please can you attach a sample file to reproduce it.
Comment 2 Michael Mellinger 2014-05-31 18:25:20 UTC
I upgraded 4.2.4.2 last night and the problem is now gone.  The spreadsheet
app does still crash occasionally.  Is there some sort of log on my system
which I can submit?

-Mike



On Fri, May 30, 2014 at 6:23 PM, <bugzilla-daemon@freedesktop.org> wrote:

>  m.a.riosv <mariosv@miguelangel.mobi> changed bug 79461
> <https://bugs.freedesktop.org/show_bug.cgi?id=79461>
>  What Removed Added  Status UNCONFIRMED NEEDINFO  CC
> mariosv@miguelangel.mobi  Ever confirmed   1
>
>  *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=79461#c1> on
> bug 79461 <https://bugs.freedesktop.org/show_bug.cgi?id=79461> from
> m.a.riosv <mariosv@miguelangel.mobi> *
>
> Hi namesake, thanks for reporting.
>
> Sorry but unfortunately the image doesn't help to verify the issue, please can
> you attach a sample file to reproduce it.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 3 Michael Mellinger 2014-05-31 21:42:19 UTC
Created attachment 100218 [details]
attachment-25323-0.html

LibreOffice crashes about 10 times an hour on me.  Might be some UTF8
problem.  Here is one of my files.

-Mike





On Fri, May 30, 2014 at 6:23 PM, <bugzilla-daemon@freedesktop.org> wrote:

>  m.a.riosv <mariosv@miguelangel.mobi> changed bug 79461
> <https://bugs.freedesktop.org/show_bug.cgi?id=79461>
>  What Removed Added  Status UNCONFIRMED NEEDINFO  CC
> mariosv@miguelangel.mobi  Ever confirmed   1
>
>  *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=79461#c1> on
> bug 79461 <https://bugs.freedesktop.org/show_bug.cgi?id=79461> from
> m.a.riosv <mariosv@miguelangel.mobi> *
>
> Hi namesake, thanks for reporting.
>
> Sorry but unfortunately the image doesn't help to verify the issue, please can
> you attach a sample file to reproduce it.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 4 Michael Mellinger 2014-05-31 21:42:19 UTC
Created attachment 100219 [details]
attachment-25323-1.dat
Comment 5 Michael Mellinger 2014-05-31 21:42:19 UTC
Created attachment 100220 [details]
ja.ods
Comment 6 Michael Mellinger 2014-05-31 21:42:19 UTC
Created attachment 100221 [details]
Screenshot 2014-05-31 17.41.12.png
Comment 7 m.a.riosv 2014-06-01 12:29:06 UTC
Do you do something in particular with the file?

I haven't crashes with it, neither sorting or filtering.

Can you try resetting the user profile?, sometimes solves strange issues.
https://wiki.documentfoundation.org/UserProfile#Mac_OS_X

Please if you can answer here or avoid reproduce the message, when it's not needed to remarks something, that makes the list to be long and more difficult to follow.
Comment 8 Michael Mellinger 2014-06-01 13:05:23 UTC
I  was simply copying the columns H,J,L (Portuguese, French, Italian) in
the first sheet then CMD-tab'ing to Chrome.  When I'd try to come back to
the sheet, LibreOffice had crashed.  I reset my user profile.  Maybe that
will help.

-Mike




On Sun, Jun 1, 2014 at 8:29 AM, <bugzilla-daemon@freedesktop.org> wrote:

>   *Comment # 7 <https://bugs.freedesktop.org/show_bug.cgi?id=79461#c7> on
> bug 79461 <https://bugs.freedesktop.org/show_bug.cgi?id=79461> from
> m.a.riosv <mariosv@miguelangel.mobi> *
>
> Do you do something in particular with the file?
>
> I haven't crashes with it, neither sorting or filtering.
>
> Can you try resetting the user profile?, sometimes solves strange issues.https://wiki.documentfoundation.org/UserProfile#Mac_OS_X
>
> Please if you can answer here or avoid reproduce the message, when it's not
> needed to remarks something, that makes the list to be long and more difficult
> to follow.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 9 Michael Mellinger 2014-06-02 16:29:25 UTC
Created attachment 100321 [details]
attachment-22440-0.html

Seriously, LibreOffice has a real stability problem.  It crashes every day,
several time a day.

-Mike


On Sun, Jun 1, 2014 at 9:05 AM, Michael Mellinger <mmellinger66@gmail.com>
wrote:

> I  was simply copying the columns H,J,L (Portuguese, French, Italian) in
> the first sheet then CMD-tab'ing to Chrome.  When I'd try to come back to
> the sheet, LibreOffice had crashed.  I reset my user profile.  Maybe that
> will help.
>
> -Mike
>
>
>
>
> On Sun, Jun 1, 2014 at 8:29 AM, <bugzilla-daemon@freedesktop.org> wrote:
>
>>   *Comment # 7 <https://bugs.freedesktop.org/show_bug.cgi?id=79461#c7>
>> on bug 79461 <https://bugs.freedesktop.org/show_bug.cgi?id=79461> from
>> m.a.riosv <mariosv@miguelangel.mobi> *
>>
>> Do you do something in particular with the file?
>>
>> I haven't crashes with it, neither sorting or filtering.
>>
>> Can you try resetting the user profile?, sometimes solves strange issues.https://wiki.documentfoundation.org/UserProfile#Mac_OS_X
>>
>> Please if you can answer here or avoid reproduce the message, when it's not
>> needed to remarks something, that makes the list to be long and more difficult
>> to follow.
>>
>>  ------------------------------
>> You are receiving this mail because:
>>
>>    - You reported the bug.
>>
>>
>
Comment 10 Michael Mellinger 2014-06-02 16:29:26 UTC
Created attachment 100322 [details]
attachment-22440-1.dat
Comment 11 Michael Mellinger 2014-06-02 16:29:26 UTC
Created attachment 100323 [details]
Screenshot 2014-06-02 12.22.12.png
Comment 12 m.a.riosv 2014-06-02 20:10:49 UTC
If resetting user profile doesn't help, then please to discard try the following:

Changing the options for Graphics output: Menu/Tools/LibreOffice/View
Disable Java: Menu/Tools/LibreOffice/Advanced
Disable Optional options: Menu/Tools/LibreOffice/Advanced
Reduce the undo steps: Menu/Tools/LibreOffice/Memory - 30 could be enough.
Give more memory to Graphics cache: Menu/Tools/LibreOffice/Memory - 256 is the maximum.

And you can find all versions to update in:
http://downloadarchive.documentfoundation.org/libreoffice/old/?C=N;O=A
Maybe the last more stable 4.1.6.2
Comment 13 QA Administrators 2015-01-10 18:06:25 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 14 QA Administrators 2015-02-11 19:49:12 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 15 QA Administrators 2015-02-11 19:55:03 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11